﻿// Copyright (c) 2023 Files Community
// Licensed under the MIT License. See the LICENSE.

using Windows.System;

namespace Files.App.Data.Commands
{
	public enum Keys : ushort
	{
		None,
		Enter = VirtualKey.Enter,
		Space = VirtualKey.Space,
		Escape = VirtualKey.Escape,
		Back = VirtualKey.Back,
		Tab = VirtualKey.Tab,
		Insert = VirtualKey.Insert,
		Delete = VirtualKey.Delete,
		Left = VirtualKey.Left,
		Right = VirtualKey.Right,
		Down = VirtualKey.Down,
		Up = VirtualKey.Up,
		Home = VirtualKey.Home,
		End = VirtualKey.End,
		PageDown = VirtualKey.PageDown,
		PageUp = VirtualKey.PageUp,
		Separator = VirtualKey.Separator,
		Pause = VirtualKey.Pause,
		Sleep = VirtualKey.Sleep,
		Clear = VirtualKey.Clear,
		Print = VirtualKey.Print,
		Help = VirtualKey.Help,
		Mouse4 = VirtualKey.XButton1,
		Mouse5 = VirtualKey.XButton2,
		F1 = VirtualKey.F1,
		F2 = VirtualKey.F2,
		F3 = VirtualKey.F3,
		F4 = VirtualKey.F4,
		F5 = VirtualKey.F5,
		F6 = VirtualKey.F6,
		F7 = VirtualKey.F7,
		F8 = VirtualKey.F8,
		F9 = VirtualKey.F9,
		F10 = VirtualKey.F10,
		F11 = VirtualKey.F11,
		F12 = VirtualKey.F12,
		F13 = VirtualKey.F13,
		F14 = VirtualKey.F14,
		F15 = VirtualKey.F15,
		F16 = VirtualKey.F16,
		F17 = VirtualKey.F17,
		F18 = VirtualKey.F18,
		F19 = VirtualKey.F19,
		F20 = VirtualKey.F20,
		F21 = VirtualKey.F21,
		F22 = VirtualKey.F22,
		F23 = VirtualKey.F23,
		F24 = VirtualKey.F24,
		Number0 = VirtualKey.Number0,
		Number1 = VirtualKey.Number1,
		Number2 = VirtualKey.Number2,
		Number3 = VirtualKey.Number3,
		Number4 = VirtualKey.Number4,
		Number5 = VirtualKey.Number5,
		Number6 = VirtualKey.Number6,
		Number7 = VirtualKey.Number7,
		Number8 = VirtualKey.Number8,
		Number9 = VirtualKey.Number9,
		Pad0 = VirtualKey.NumberPad0,
		Pad1 = VirtualKey.NumberPad1,
		Pad2 = VirtualKey.NumberPad2,
		Pad3 = VirtualKey.NumberPad3,
		Pad4 = VirtualKey.NumberPad4,
		Pad5 = VirtualKey.NumberPad5,
		Pad6 = VirtualKey.NumberPad6,
		Pad7 = VirtualKey.NumberPad7,
		Pad8 = VirtualKey.NumberPad8,
		Pad9 = VirtualKey.NumberPad9,
		A = VirtualKey.A,
		B = VirtualKey.B,
		C = VirtualKey.C,
		D = VirtualKey.D,
		E = VirtualKey.E,
		F = VirtualKey.F,
		G = VirtualKey.G,
		H = VirtualKey.H,
		I = VirtualKey.I,
		J = VirtualKey.J,
		K = VirtualKey.K,
		L = VirtualKey.L,
		M = VirtualKey.M,
		N = VirtualKey.N,
		O = VirtualKey.O,
		P = VirtualKey.P,
		Q = VirtualKey.Q,
		R = VirtualKey.R,
		S = VirtualKey.S,
		T = VirtualKey.T,
		U = VirtualKey.U,
		V = VirtualKey.V,
		W = VirtualKey.W,
		X = VirtualKey.X,
		Y = VirtualKey.Y,
		Z = VirtualKey.Z,
		Add = VirtualKey.Add,
		Subtract = VirtualKey.Subtract,
		Multiply = VirtualKey.Multiply,
		Divide = VirtualKey.Divide,
		Oem1 = 186,
		Oem2 = 191,
		Oem3 = 192,
		Oem4 = 219,
		Oem5 = 220,
		Oem6 = 221,
		Oem7 = 222,
		Oem8 = 223,
		OemPlus = 187,
		OemComma = 188,
		OemMinus = 189,
		OemPeriod = 190,
		Oem102 = 226,
		OemClear = 254,
		Application = VirtualKey.Application,
		Application1 = 182,
		Application2 = 183,
		Mail = 180,
		GoHome = VirtualKey.GoHome,
		GoBack = VirtualKey.GoBack,
		GoForward = VirtualKey.GoForward,
		Refresh = VirtualKey.Refresh,
		BrowserStop = VirtualKey.Stop,
		Search = VirtualKey.Search,
		Favorites = VirtualKey.Favorites,
		PlayPause = 179,
		MediaStop = 178,
		PreviousTrack = 177,
		NextTrack = 176,
		MediaSelect = 181,
		Mute = 173,
		VolumeDown = 174,
		VolumeUp = 175,
	}
}
