﻿// Copyright (c) 2023 Files Community
// Licensed under the MIT License. See the LICENSE.

namespace Files.Core.Data.Enums
{
	/// <summary>
	/// Defines constants that specify archive compression level.
	/// </summary>
	public enum ArchiveCompressionLevels
	{
		/// <summary>
		/// Ultra compression level.
		/// </summary>
		Ultra,

		/// <summary>
		/// High compression level.
		/// </summary>
		High,

		/// <summary>
		/// Normal compression level.
		/// </summary>
		Normal,

		/// <summary>
		/// Low compression level.
		/// </summary>
		Low,

		/// <summary>
		/// Fast compression level.
		/// </summary>
		Fast,

		/// <summary>
		/// Unknown compression level.
		/// </summary>
		None,
	}
}
