﻿// Copyright (c) 2023 Files Community
// Licensed under the MIT License. See the LICENSE.

namespace Files.Core.Data.Enums
{
	/// <summary>
	/// Defines constants that specify archive format.
	/// </summary>
	public enum ArchiveFormats
	{
		/// <summary>
		/// Zip archive format.
		/// </summary>
		Zip,

		/// <summary>
		/// 7zip archive format.
		/// </summary>
		SevenZip,

		/// <summary>
		/// Tar archive format.
		/// </summary>
		Tar,

		/// <summary>
		/// GZip archive format.
		/// </summary>
		GZip,
	}
}
