﻿// Copyright (c) 2023 Files Community
// Licensed under the MIT License. See the LICENSE.

namespace Files.Core.Data.Enums
{
	/// <summary>
	/// Defines constants that specify application backdrop material type on Windows.
	/// </summary>
	public enum BackdropMaterialType
	{
		/// <summary>
		/// None of backdrop.
		/// </summary>
		Solid,

		/// <summary>
		/// Mica backdrop.
		/// </summary>
		Mica,

		/// <summary>
		/// Mica Alt backdrop.
		/// </summary>
		MicaAlt,

		/// <summary>
		/// Arcylic backdrop.
		/// </summary>
		Acrylic
	}
}
