﻿// Copyright (c) 2023 Files Community
// Licensed under the MIT License. See the LICENSE.

namespace Files.Core.Data.Enums
{
	/// <summary>
	/// Defines constants that specify item type of ContextMenuFlyout on Windows.
	/// </summary>
	public enum ContextMenuFlyoutItemType
	{
		/// <summary>
		/// Button type.
		/// </summary>
		Item,

		/// <summary>
		/// Separator type.
		/// </summary>
		Separator,

		/// <summary>
		/// Toggle Button type.
		/// </summary>
		Toggle,

		/// <summary>
		/// Split Button type.
		/// </summary>
		SplitButton
	}
}
