﻿// Copyright (c) 2023 Files Community
// Licensed under the MIT License. See the LICENSE.

namespace Files.Core.Data.Enums
{
	/// <summary>
	/// Represents a page type used in Properties window
	/// </summary>
	public enum PropertiesNavigationViewItemType
	{
		/// <summary>
		/// Compatibility page type
		/// </summary>
		Compatibility,

		/// <summary>
		/// Customization page type
		/// </summary>
		Customization,

		/// <summary>
		/// Details page type
		/// </summary>
		Details,

		/// <summary>
		/// General page type
		/// </summary>
		General,

		/// <summary>
		/// Hashes page type
		/// </summary>
		Hashes,

		/// <summary>
		/// Library page type
		/// </summary>
		Library,

		/// <summary>
		/// Security page type
		/// </summary>
		Security,

		/// <summary>
		/// Shortcut page type
		/// </summary>
		Shortcut,
	}
}
